#include "PCF8574.h"

//Example program with blink on P0 and digitalRead on P1 - P7

PCF8574 pcf(0x27);

void setup() {
  Serial.begin(9600);
  // put your setup code here, to run once:
  pcf.begin();
  pcf.pinMode(PCF8574::P0,OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  Serial.print(pcf.digitalRead(PCF8574::P0));Serial.print(pcf.digitalRead(PCF8574::P1));Serial.print(pcf.digitalRead(PCF8574::P2));Serial.print(pcf.digitalRead(PCF8574::P3));Serial.print(pcf.digitalRead(PCF8574::P4));Serial.print(pcf.digitalRead(PCF8574::P5));Serial.print(pcf.digitalRead(PCF8574::P6));Serial.println(pcf.digitalRead(PCF8574::P7));
  //pcf.digitalRead(PCF8574::P0);
  pcf.digitalWrite(PCF8574::P0, HIGH);
  delay(200);
  pcf.digitalWrite(PCF8574::P0, LOW);
  delay(200);
}
